﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.com/gitea/1.20.2/gitea-1.20.2-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.com/gitea/1.20.2/gitea-1.20.2-windows-4.0-amd64.exe'

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '0cabc4689cbfe3d983c45be2f4b019910edf011855b44513eb5325d97fc777db'
  checksumType  = 'sha256'
  checksum64    = '2835e3be063c92160b278f85dabc645e3b5d39dc3348ec082d7eb53881990e6c'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
